Bug 1015775 - (tuxcut) Review Request: tuxcut - Arpspoof attacks protector
Review Request: tuxcut - Arpspoof attacks protector
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 1018498
Blocks: qt-reviews
  Show dependency treegraph
 
Reported: 2013-10-05 06:20 EDT by Mosaab Alzoubi
Modified: 2015-10-16 15:18 EDT (History)
7 users (show)

See Also:
Fixed In Version: tuxcut-5.0-15.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 21:51:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mosaab Alzoubi 2013-10-05 06:20:45 EDT
Spec URL: http://helallinux.com/paste/show.php?id=1228
SRPM URL: http://sourceforge.net/projects/oji/files/srpms/TuxCut-5.0-8.1.src.rpm
Description: 
TuxCut is a netcut "in windows os " like software written in PyQt 

Fedora Account System Username: moceap
Comment 1 Mario Blättermann 2013-10-05 14:47:49 EDT
Please use this link for your spec so that it becomes directly downloadble instead of opening a website:
http://helallinux.com/paste/show.php?id=1228&mode=raw

The current behavior makes it impossible to use fedora-review. Well, I don't use it, but a lot of packagers do so.
Comment 2 Mosaab Alzoubi 2013-10-05 15:40:15 EDT
Ok , How to edit ?
I don't have 'edit' button for the bug body.
Comment 3 Mario Blättermann 2013-10-06 05:26:08 EDT
(In reply to Mosaab Alzoubi from comment #2)
> Ok , How to edit ?
> I don't have 'edit' button for the bug body.

Not needed at all. Just add a new comment with the corrected links. The srpm link has the same problem, it should be http://downloads.sourceforge.net/project/oji/srpms/TuxCut-5.0-8.1.src.rpm.
Comment 4 Mario Blättermann 2013-10-06 05:38:05 EDT
You are not a package maintainer yet, so I assume you need a sponsor. Adding FE-NEEDSPONSOR.
Comment 5 Mosaab Alzoubi 2013-10-06 07:12:29 EDT
- Ok I'll rewrite all review requests now .

- What your last changes mean ?
Comment 6 Mosaab Alzoubi 2013-10-06 07:16:22 EDT
Spec URL: http://helallinux.com/paste/show.php?id=1228&mode=raw
SRPM URL: http://downloads.sourceforge.net/project/oji/srpms/TuxCut-5.0-8.1.src.rpm
Description: 
TuxCut is a netcut "in windows os " like software written in PyQt 

Fedora Account System Username: moceap
Comment 7 Christopher Meng 2013-10-07 07:54:31 EDT
Seems this package is packaged for opensuse or other distros.

Before review this I would suggest that you should ask upstream to use some public freesoftware hosting service like github/sourceforge/bitbucket, because I can't access http://tuxcut.net.
Comment 8 Mosaab Alzoubi 2013-10-08 15:51:17 EDT
Fix in progress >>>
Comment 9 Mosaab Alzoubi 2013-10-11 13:29:01 EDT
OK Rewritten ::

Spec : http://ojuba.org/oji/SPECS/tuxcut.spec
SRPM : http://ojuba.org/oji/SRPMS/tuxcut-5.0-9.oji.fc19.src.rpm
Comment 10 Mosaab Alzoubi 2013-10-11 15:37:30 EDT
- Full exit from opt dir.
- Add rule to polkit.

Spec : http://ojuba.org/oji/SPECS/tuxcut.spec
SRPM : http://ojuba.org/oji/SRPMS/tuxcut-5.0-10.oji.fc19.src.rpm
Comment 11 Mosaab Alzoubi 2013-10-11 17:26:13 EDT
- Add mark of source URL.

Spec : http://ojuba.org/oji/SPECS/tuxcut.spec
SRPM : http://ojuba.org/oji/SRPMS/tuxcut-5.0-11.oji.fc19.src.rpm
Comment 12 Kevin Kofler 2013-10-14 08:13:22 EDT
I changed the bug summary to match the one in the specfile.

Please also consider:
https://fedoraproject.org/wiki/Packaging:Guidelines#Trademarks_in_Summary_or_Description

Something like "in windows os" definitely doesn't belong in the summary, but even "netcut like" is bad, you should instead describe what the software actually does, also because not everyone necessarily knows netcut (I don't).
Comment 13 Mosaab Alzoubi 2013-10-17 20:27:24 EDT
- Fix summary line.
- To zero warnings by rpmlint.
But there is one warning that belong Sources lines :

Source0:  a_atalla-tuxcut-16e25f5c1255.tar.bz2
#Source0: https://bitbucket.org/a_atalla/tuxcut/get/master.tar.bz2
Because the name of downloaded file is (a_atalla-tuxcut-16e25f5c1255.tar.bz2) but in the link (master.tar.bz2) .

==================================================================


Spec : http://ojuba.org/oji/SPECS/tuxcut.spec
SRPM : http://ojuba.org/oji/SRPMS/tuxcut-5.0-12.oji.fc19.src.rpm
Comment 14 Christopher Meng 2013-11-27 20:03:06 EST
Initial thoughts:

1. Summary should be "Arpspoof attacks protector", got from homepage.

Also the description should be changed:

TuxCut is a utility that protect linux computers againest arpspoof attacks

Features:
	- Hide your machine (ip/MAC) from arp scanner utilities.
	- list all the live host in your LAN.
	- cut the connection between any live host and the gateway.
	- use wondershaper to limit your upload or download speed.

You can notify them to remove that "(wondershaper not avaliable in fedora repos)." after bug 1018498‎ is closed.

2. Add a note at %build

3. cp -r --> cp -ar

install -D -m --> install -pDm0644

4. Avoid using macro %{__mkdir_p} now, just mkdir -p is fine.

5. Remove %defattr(-,root,root,-)

6. No icon cache refresh script:

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

7. Ask upstream to provide sources tarball download at bitbucket(https://bitbucket.org/a_atalla/tuxcut/downloads).
Comment 15 Mosaab Alzoubi 2013-11-27 20:53:19 EST
Message sent to TuxCut Author about wondershaper and link in downloads directory.

=========================

- Update summary line.
- Update description.
- General tweaks.
- Remove %%defattr line.
- Add icon cache update operation.

=========================

Spec : http://ojuba.org/oji/SPECS/tuxcut.spec
SRPM : http://ojuba.org/oji/SRPMS/tuxcut-5.0-13.oji.fc19.src.rpm
Comment 16 Christopher Meng 2013-11-27 22:15:05 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package contains BR: python2-devel or python3-devel

--> False positives.

- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

--> You need to include a license(MUST).

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck:


Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/a_atalla-tuxcut-16e25f5c1255/AboutDialog.py
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/a_atalla-tuxcut-16e25f5c1255/TuxCut.py
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/a_atalla-tuxcut-16e25f5c1255/pix_rc.py
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/a_atalla-tuxcut-16e25f5c1255/run.py

--> You can tell upstream to add.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/72x72/apps, /usr/share/icons/hicolor/24x24,
     /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
     /usr/share/icons/hicolor/22x22/apps, /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/24x24/apps, /usr/share/icons/hicolor/72x72,
     /usr/share/icons/hicolor/96x96/apps, /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/36x36/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/64x64, /usr/share/icons/hicolor/96x96,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/36x36


--> Better BuildRequires: hicolor-icon-theme, OPTIONAL

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in tuxcut
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

--> ;)

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

--> I'd like to know whare are these sources from?

[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: tuxcut-5.0-13.fc21.noarch.rpm
          tuxcut-5.0-13.fc21.src.rpm
tuxcut.noarch: W: spelling-error Summary(en_US) Arpspoof -> Spoof
tuxcut.noarch: W: spelling-error %description -l en_US linux -> Linux
tuxcut.noarch: W: spelling-error %description -l en_US againest -> against, again est, again-est
tuxcut.noarch: W: spelling-error %description -l en_US arpspoof -> spoof
tuxcut.noarch: W: spelling-error %description -l en_US ip -> pi, up, op
tuxcut.noarch: W: spelling-error %description -l en_US arp -> rap, tarp, carp
tuxcut.noarch: W: no-documentation
tuxcut.noarch: E: non-executable-script /usr/share/applications/tuxcut.desktop 0644L /usr/bin/env

--> See below.

tuxcut.noarch: W: no-manual-page-for-binary tuxcut
tuxcut.src: W: spelling-error Summary(en_US) Arpspoof -> Spoof
tuxcut.src: W: spelling-error %description -l en_US linux -> Linux
tuxcut.src: W: spelling-error %description -l en_US againest -> against, again est, again-est
tuxcut.src: W: spelling-error %description -l en_US arpspoof -> spoof
tuxcut.src: W: spelling-error %description -l en_US ip -> pi, up, op
tuxcut.src: W: spelling-error %description -l en_US arp -> rap, tarp, carp
tuxcut.src: W: spelling-error %description -l en_US wondershaper -> wonderland
tuxcut.src: W: invalid-url Source0: a_atalla-tuxcut-16e25f5c1255.tar.bz2
2 packages and 0 specfiles checked; 1 errors, 16 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tuxcut
tuxcut.noarch: W: spelling-error Summary(en_US) Arpspoof -> Spoof
tuxcut.noarch: W: spelling-error %description -l en_US linux -> Linux
tuxcut.noarch: W: spelling-error %description -l en_US againest -> against, again est, again-est
tuxcut.noarch: W: spelling-error %description -l en_US arpspoof -> spoof
tuxcut.noarch: W: spelling-error %description -l en_US ip -> pi, up, op
tuxcut.noarch: W: spelling-error %description -l en_US arp -> rap, tarp, carp
tuxcut.noarch: W: no-documentation
tuxcut.noarch: E: non-executable-script /usr/share/applications/tuxcut.desktop 0644L /usr/bin/env

--> See below.


tuxcut.noarch: W: no-manual-page-for-binary tuxcut
1 packages and 0 specfiles checked; 1 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
tuxcut (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/env

--> Patch run.py to %{__python2}

    PyQt4
    arp-scan
    arptables_jf

--> Remember this has been obsoleted by arptables since rawhide(f21)

    dsniff
    polkit
    wondershaper



Provides
--------
tuxcut:
    application()
    application(tuxcut.desktop)

--> Remove #!/usr/bin/env xdg-open and blank lines.
--> Change Comment=A netcut like application to the RPM summary.

    tuxcut



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn tuxcut-5.0-13.oji.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 17 Parag AN(पराग) 2013-11-27 22:50:21 EST
(In reply to Christopher Meng from comment #16)

> 
> [x]: Package must own all directories that it creates.
>      Note: Directories without known owners:
>      /usr/share/icons/hicolor/72x72/apps, /usr/share/icons/hicolor/24x24,
>      /usr/share/icons/hicolor/64x64/apps, /usr/share/icons/hicolor/22x22,
>      /usr/share/icons/hicolor/22x22/apps,
> /usr/share/icons/hicolor/32x32/apps,
>      /usr/share/icons/hicolor/24x24/apps, /usr/share/icons/hicolor/72x72,
>      /usr/share/icons/hicolor/96x96/apps,
> /usr/share/icons/hicolor/16x16/apps,
>      /usr/share/icons/hicolor/36x36/apps, /usr/share/icons/hicolor/16x16,
>      /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
>      /usr/share/icons/hicolor/64x64, /usr/share/icons/hicolor/96x96,
>      /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor,
>      /usr/share/icons/hicolor/36x36
> 
> 
> --> Better BuildRequires: hicolor-icon-theme, OPTIONAL
> 

For file ownership issue this should be Requires: hicolor-icon-theme not BuildRequires: hicolor-icon-theme
Comment 18 Christopher Meng 2013-11-27 23:09:51 EST
Ooops..Sorry for the typo...
Comment 19 Mosaab Alzoubi 2013-11-29 15:20:37 EST
THANK YOU

============================

--> False positives.
In fact it's needed for *.pyc files, even it doesn't need build!
--> You can tell upstream to add.
I'll message him.
--> I'd like to know whare are these sources from? 
From master (url) included.
--> Remember this has been obsoleted by arptables since rawhide(f21)
arptables_jf provided by arptables.

============================

- Move documents into %%doc files.
- Add hicolor-icon-theme to requires.
- Add executable permission to tuxcut.desktop :).
- Update summary in desktop file.
- Specific env to python2 in both run.py and tuxcut in bindir.
- Add python2-devel to BRs.

============================


Spec : http://ojuba.org/oji/SPECS/tuxcut.spec
SRPM : http://ojuba.org/oji/SRPMS/tuxcut-5.0-14.oji.fc19.src.rpm
Comment 20 Mosaab Alzoubi 2013-11-30 04:45:31 EST
Thank You :)

New Package SCM Request
=======================
Package Name: tuxcut
Short Description: Arpspoof attacks protector
Owners: moceap
Branches: f18 f19 f20 el6
InitialCC:
Comment 21 Kevin Kofler 2013-11-30 18:34:12 EST
> --> False positives.
> In fact it's needed for *.pyc files, even it doesn't need build!

The thing is, you should need only python2 and not python2-devel! BuildRequires: python2-devel is only needed if you are building stuff that needs to link against the C Python library (Python bindings for C/C++ code, Python extensions and the like).
Comment 22 Mosaab Alzoubi 2013-12-01 04:06:05 EST
I'll fix it.
Comment 23 Mosaab Alzoubi 2013-12-01 04:12:21 EST
Fixed:

Spec : http://ojuba.org/oji/SPECS/tuxcut.spec
SRPM : http://ojuba.org/oji/SRPMS/tuxcut-5.0-15.oji.fc19.src.rpm

=========

Rerequesting SCM ticket ...
Comment 25 Mosaab Alzoubi 2013-12-01 04:13:45 EST
New Package SCM Request
=======================
Package Name: tuxcut
Short Description: Arpspoof attacks protector
Owners: moceap
Branches: f18 f19 f20 el6
InitialCC:
Comment 26 Kevin Kofler 2013-12-01 07:23:15 EST
The new specfile looks OK. You can import the revised specfile/SRPM.

But for next time, if the package has already been approved, such details can also easily be addressed after importing it.
Comment 27 Jon Ciesla 2013-12-01 16:37:50 EST
Git done (by process-git-requests).
Comment 28 Fedora Update System 2013-12-02 22:08:02 EST
tuxcut-5.0-15.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tuxcut-5.0-15.fc20
Comment 29 Fedora Update System 2013-12-02 22:13:47 EST
tuxcut-5.0-15.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuxcut-5.0-15.fc18
Comment 30 Fedora Update System 2013-12-02 22:14:59 EST
tuxcut-5.0-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tuxcut-5.0-15.fc19
Comment 31 Fedora Update System 2013-12-04 01:57:18 EST
Package tuxcut-5.0-15.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuxcut-5.0-15.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22680/tuxcut-5.0-15.fc19
then log in and leave karma (feedback).
Comment 32 Fedora Update System 2013-12-11 21:51:36 EST
tuxcut-5.0-15.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2013-12-11 21:53:35 EST
tuxcut-5.0-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2013-12-13 22:22:43 EST
tuxcut-5.0-15.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Mosaab Alzoubi 2014-09-16 19:35:13 EDT
Package Change Request
======================
Package Name: tuxcut
New Branches: epel7
Owners: moceap
Comment 36 Jon Ciesla 2014-10-20 07:48:51 EDT
Git done (by process-git-requests).
Comment 37 pawan kumar v 2015-10-16 15:18:35 EDT
working fine with fedora 22 
packagename: tuxcut

Note You need to log in before you can comment on or make changes to this bug.